%global momorel 2
%global artsver 1.5.9
%global artsrel 3m
%global qtver 3.3.7
%global kdever 3.5.9
%global kdelibsrel 4m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global content_id 50971

Summary: A KDE version of ssh-askpass with KWallet support
Name: ksshaskpass
Version: 0.4.1
Release: %{momorel}m%{?dist}
License: GPL
URL: http://www.kde-apps.org/content/show.php?content=50971
Group: Applications/Internet
Source0: http://www.kde-apps.org/CONTENT/content-files/%{content_id}-%{name}-%{version}.tar.gz
NoSource: 0
Source1: hi16-app-%{name}.png
Source2: hi32-app-%{name}.png
Source3: %{name}.desktop
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdelibs3 >= %{kdever}-%{kdelibsrel}
Requires: openssh-clients
BuildPreReq: qt3-devel >= %{qtver}
BuildPreReq: arts-devel >= %{artsver}-%{artsrel}
BuildPreReq: kdelibs3-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: cmake
BuildPreReq: lcms-devel
BuildPreReq: libart_lgpl-devel
BuildPreReq: libidn-devel
BuildPreReq: libutempter-devel

%description
A KDE version of ssh-askpass with KWallet support.

%prep
%setup -q

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake \
	-DKDE3_LIB_DIR=%{_libdir}/kde3 \
	-DKDE3_INCLUDE_DIR=%{_includedir}/kde \
	-DQT_QT_LIBRARY:FILEPATH=%{qtdir}/lib/libqt-mt.so \
	..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

# move and install ksshaskpass
mv %{buildroot}%{_bindir}/ksshaskpass %{buildroot}%{_bindir}/ksshaskpass.bin

cat > %{buildroot}%{_bindir}/ksshaskpass << EOF
#!/bin/sh

SSH_ASKPASS=%{_bindir}/ksshaskpass.bin
export SSH_ASKPASS
exec ssh-add
EOF

chmod 755 %{buildroot}%{_bindir}/ksshaskpass

# setup environment variables
mkdir -p %{buildroot}%{_sysconfdir}/kde/env/
cat > %{buildroot}%{_sysconfdir}/kde/env/ksshaskpass.sh << EOF
#! /bin/sh

SSH_ASKPASS=%{_bindir}/ksshaskpass.bin
export SSH_ASKPASS
EOF

chmod 755 %{buildroot}%{_sysconfdir}/kde/env/ksshaskpass.sh

# install icons
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/{16x16,32x32}/apps
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/ksshaskpass.png
install -m 644 %{SOURCE2} %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/ksshaskpass.png

# install desktop file
mkdir -p %{buildroot}%{_datadir}/applications/kde
install -m 644 %{SOURCE3} %{buildroot}%{_datadir}/applications/kde/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc COPYING ChangeLog INSTALL TODO
%config(noreplace) %{_sysconfdir}/kde/env/ksshaskpass.sh
%{_bindir}/ksshaskpass
%{_bindir}/ksshaskpass.bin
%{_datadir}/applications/kde/ksshaskpass.desktop
%{_datadir}/icons/hicolor/*/apps/ksshaskpass.png
%{_mandir}/man1/ksshaskpass.1*

%changelog
* Thu Jun 19 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.1-2m)
- use Qt threaded (default) libraries
- fix permission of %%{_sysconfdir}/kde/env/ksshaskpass.sh
- re-install icons and desktop file

* Fri Jun 13 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.4.1-1m)
- update to 0.4.1
- change source URI

* Thu May  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3-5m)
- rebuild against qt3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.3-4m)
- rebuild against gcc43

* Sat Feb 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3-3m)
- specify KDE3 headers and libs
- modify Requires and BuildRequires

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3-2m)
- %%NoSource -> NoSource

* Fri Mar 30 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3-1m)
- initial package for Momonga Linux
